﻿using DCKiss.IMG.NSBSagaUpdate.Models.Attributes;
using DCKiss.IMG.NSBSagaUpdate.Models.Data;
using System;
using System.Collections.Generic;

namespace DCKiss.IMG.NSBSagaUpdate.Models.Commands
{
    [Command]
    public class UpdateInventoryImagesCommand
    {
        public Guid InventoryId { get; set; }
        public Guid CompanyId { get; set; }
        public ImageChangeResult DetectImageChanges { get; set; }
        public string ImageSource { get; set; }
        public bool? IsImageChangesDetected { get; set; }
    }
}
