﻿using System;
using System.Collections.Generic;

namespace DCKiss.IMG.NSBSagaUpdate.Models.Data
{
    [Serializable]
    public class ImageChangeResult
    {
        public List<InventoryImageDetail> ImagesToBeAdded { get; set; }
        public List<ImageReorder> ImagesToBeReOrdered { get; set; }
        public List<DocumentSourceUpdate> ImagesToBeUpdatedWithImageSource { get; set; }
        //public Dictionary<Guid, InventoryImageDetail> UpdateImageProperties { get; set; }
        //public List<InventoryImageDetail> ImagesToBeUpdatedByMetadata { get; set; }
        public List<string> Errors { get; set; }
        public List<Guid> ImagesToBeDeleted { get; set; }
        public bool? IsErrorAddImportImageResponse { get; set; }
    }
    [Serializable]
    public class DocumentSourceUpdate
    {
        public Guid ImageId { get; set; }
        public string ImportSource { get; set; }
        public string SourceUrl { get; set; }
    }
}
