﻿using DCKiss.Image.NSBSaga.Models.Documents;
using DCKiss.IMG.NSBSagaUpdate.Models.Attributes;
using NServiceBus;
using System;
using System.Collections.Generic;

namespace DCKiss.Image.NSBSaga.Models
{
    //[command]
    public class StartImportInventoryImagesMessage 
    {
        public string InventoryId { get; set; }
        public string CompanyId { get; set; }
        public string ImportImageUrls { get; set; }
        public string ImageSource { get; set; }
        public List<ImageInfo> DCImages { get; set; }
        public string UploadUserId { get; set; }
        public string UploadPassword { get; set; }
        public bool ImageMetadataCompareEnabled { get; set; }
    }
    [Serializable]
    public class ImageInfo
    {
        public Guid DocumentId { get; set; }
        public string ExternalDocumentId { get; set; }
        public string SourceUrl { get; set; }
        public int Order { get; set; }
        public string Etag { get; set; }
        public long ContentLength { get; set; }
        public string LastModifiedDateTime { get; set; }
        public string ImportSource { get; set; }
        
    }
}
