﻿using NServiceBus;
using System;

namespace DCKiss.Image.NSBSaga.Worker_Test
{
    //[Unique]
    public class InventoryImageSagaData : IContainSagaData
    {
        public Guid Id { get; set; }
        public string Originator { get; set; }
        public string OriginalMessageId { get; set; }
        public string InventorySagaId { get; set; }
        public string CompanyId { get; set; }
        public string ImportImageUrls { get; set; }
        public string ImageSource { get; set; }
        public bool ImageMetadataCompareEnabled { get; set; }
        public string DCImages { get; set; }
        public string UploadUserId { get; set; }
        public string UploadPassword { get; set; }

    }
    [Serializable]
    public class ImageProcessInfo
    {
        public int ImageId { get; set; }
        public int RetryCount { get; set; }
        public int Status { get; set; }
    }
    [Serializable]
    public class ImportImageInfo
    {
        public string ImageUrl { get; set; }
        public int Order { get; set; }
        public bool IsDefault { get; set; }
    }
}
